import type { ExportOptions } from "./interfaces.js";
interface $$Export {
    moduleName: string;
    exportName: string | "default" | "*" | string[];
}
declare function makeWellKnownFromOptions(options: ExportOptions): {
    namespaces: any;
    wellKnownMap: Map<unknown, $$Export>;
};
declare const $$wellKnown: unique symbol;
declare module "./interfaces.js" {
    interface ExportOptions {
        /** @internal */
        [$$wellKnown]?: ReturnType<typeof makeWellKnownFromOptions>;
    }
}
/**
 * Determines if the thing is something well known (like a Node.js builtin); if
 * so, returns the export description of it.
 *
 * @internal
 */
export declare function wellKnown(options: ExportOptions, thing: unknown): $$Export | undefined;
export {};
//# sourceMappingURL=wellKnown.d.ts.map